#ifndef	_SAVE_H
#define	_SAVE_H

#include "entities.h"

struct Save
{
	struct MemoryEntity entity;
	int dungeons_conquered;
};

/*
	save()
	Returns the save data address.
*/
struct Save *save(void);

/*
	save_write()
	Saves to a file.
*/
void save_write(void);

/*
	save_load()
	Loads from a file. If the file doesn't exist, loads the new game data
	and saves.
	Returns non-zero on error.
*/
int save_load(void);

#endif	// _SAVE_H
